<?php declare(strict_types=1);

namespace App\Dto\Request\Private\Role;

use App\Dto\Request\Dto;

final readonly class StoreUpdate extends Dto
{
    public function __construct(
        private string $name,
        private ?string $code,
        private array $permissions,
    ) { }

    public function getName(): string
    {
        return $this->name;
    }

    public function getCode(): ?string
    {
        return $this->code;
    }

    public function getPermissions(): array
    {
        return $this->permissions;
    }
}
